<screen>
	<name>CreditsScreen</name>
	<!-- credits screen -->
	<rootcomponent>
		<name>creditsform</name>
		<event>
			<name>create</name>
			<node>
				<keyframe><time>0</time>
					<position><y>-200</y></position>
					<scale>1.8</scale>
					<color>0x00FFFFFF</color>
				</keyframe>
				<keyframe><time>300</time>
					<position><y>0</y></position>
					<scale>1.</scale>
					<color>0xFFFFFFFF</color>
				</keyframe>
			</node>
		</event>
		<event>
			<name>destroy</name>
			<node>
				<lifetime>300</lifetime>
				<keyframe><time>300</time>
					<position><y>-200</y></position>
					<scale>1.8</scale>
					<color>0x00FFFFFF</color>
				</keyframe>
			</node>
		</event>

		<component>
			<name>bg</name>
			<event>
				<name>create</name>
				<node>
					<!--replace>/gui/component/screenframe.xml</replace-->
					<position> <x>0</x> <y>0</y> <z>0</z> </position>
				</node>
			</event>
		</component>

		<!-- top text -->
		<component>
			<name>toptext</name>
			<caption>$hierarchy.Screen.Credits.caption</caption>
			<captioncolor>0xFFE6A748</captioncolor>
			<captionshadowcolor>0xFF000000</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>0</x> <y>-260</y> <z>-1</z> </position>
				</node>
			</event>
		</component>

		<!-- ok button -->
		<component>
			<name>okbutton</name>
			<hotkey>KEY_RETURN</hotkey>
			<caption>$hierarchy.ok</caption>
			<captioncolor>0xFF04091E</captioncolor>
			<captionscale>0.85</captionscale>
			<width>170</width>
			<height>50</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
					<position> <x>0</x> <y>240</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<node>
					<replace>/gui/component/btn-mi-highlight.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
				</node>
			</event>
		</component>

		<!-- hidden cancel button - to intercept ESC-->
		<component>
			<name>cancelbutton</name>
			<hotkey>KEY_ESCAPE</hotkey>
			<event>
				<name>create</name>
				<node>
				</node>
			</event>
		</component>
		<!-- left text -->
		<component>
			<name>lefttext</name>
			<align>1</align>
			<font>0</font>
			<caption>$hierarchy.Screen.Credits.contents</caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-260</x> <y>-10</y> <z>-1</z> </position>
				</node>
			</event>
		</component>
		<!-- right text -->
		<component>
			<name>righttext</name>
			<align>1</align>
			<font>0</font>
			<caption>$hierarchy.Screen.Credits.contentsSmall</caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>40</x> <y>-10</y> <z>-1</z> </position>
				</node>
			</event>
		</component>
	</rootcomponent>
</screen>